Bug 840220 - (CVE-2012-1963) CVE-2012-1963 Mozilla: Content Security Policy 1.0 implementation errors cause data leakage (MFSA 2012-53)
CVE-2012-1963 Mozilla: Content Security Policy 1.0 implementation errors caus...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120717,repor...
: Security
Depends On:
Blocks: 835033
  Show dependency treegraph
 
Reported: 2012-07-14 08:34 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-07-18 03:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 03:30:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-14 08:34:27 EDT
Security researcher Karthikeyan Bhargavan of Prosecco at INRIA reported Content Security Policy (CSP) 1.0 implementation errors. CSP violation reports generated by Firefox and sent to the "report-uri" location include sensitive data within the "blocked-uri" parameter. These include fragment components and query strings even if the "blocked-uri" parameter has a different origin than the protected resource. This can be used to retrieve a user's OAuth 2.0 access tokens and OpenID credentials by malicious sites. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Security researcher Karthikeyan Bhargavan of Prosecco at INRIA as the original reporter of this flaw.
Comment 1 errata-xmlrpc 2012-07-17 14:57:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1089 https://rhn.redhat.com/errata/RHSA-2012-1089.html
Comment 2 errata-xmlrpc 2012-07-17 15:28:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1088 https://rhn.redhat.com/errata/RHSA-2012-1088.html

Note You need to log in before you can comment on or make changes to this bug.